Bug 171167 - Failure to detect AC'97 Audio Controller
Failure to detect AC'97 Audio Controller
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 20:11 EDT by Zach Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 11:07:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of kudzu -p (6.85 KB, text/plain)
2005-10-18 22:13 EDT, Zach Anderson
no flags Details
output of lspci (1.72 KB, text/plain)
2005-10-18 22:27 EDT, Zach Anderson
no flags Details
dmesg (13.95 KB, text/plain)
2005-10-19 17:54 EDT, Zach Anderson
no flags Details

  None (edit)
Description Zach Anderson 2005-10-18 20:11:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Recently did a yum update that pulled down kernel-2.6.13-1.1526_FC4. Subsequently kudzu no longer detects my Intel AC'97 Audio Controller. Instead it finds an Intel AC'97 Modem Controller, which it hadn't before.

Version-Release number of selected component (if applicable):
kudzu-1.1.116.2-2

How reproducible:
Always

Steps to Reproduce:
1. Update kernel
2. Run kudzu
3. Notice that AC'97 Audio Controller is nowhere to be found.
  

Actual Results:  The audio controller is not detected. There is no entry for it in /etc/sysconfig/hwconf, and it is not mentioned in doing an lspci.

Expected Results:  Kudzu should have found the device.

Additional info:
Comment 1 Bill Nottingham 2005-10-18 21:46:01 EDT
What's the output of 'kudzu -p'?
Comment 2 Zach Anderson 2005-10-18 22:13:03 EDT
Created attachment 120149 [details]
output of kudzu -p
Comment 3 Bill Nottingham 2005-10-18 22:25:18 EDT
That's odd. lspci output? Does the lspci output change if you boot a different
kernel?
Comment 4 Zach Anderson 2005-10-18 22:27:32 EDT
Created attachment 120150 [details]
output of lspci
Comment 5 Zach Anderson 2005-10-18 22:28:47 EDT
Before booting the 2.6.13 kernel lspci showed the sound card. Afterwords it was
gone for all kernels.
Comment 6 Bill Nottingham 2005-10-19 14:00:38 EDT
Assigning to the kernel, then. Please attach /var/log/dmesg from the boot of a
later kernel so we can see the PCI messages from bootup.
Comment 7 Zach Anderson 2005-10-19 17:54:19 EDT
Created attachment 120177 [details]
dmesg
Comment 8 Dave Jones 2005-11-10 14:06:45 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Zach Anderson 2005-11-17 14:52:18 EST
Yes, that did it.

Thanks,
Zach

Note You need to log in before you can comment on or make changes to this bug.